@echo off
setlocal
if "%1"=="" echo Usage: %0 {ver#} & goto :eof
set ver=%1
set rel=rel\%ver%
if exist %rel% echo %rel%: already exists. & goto :eof

call :getversion
if NOT "%ver%" == "%version%" echo %ver%: wrong version#. & goto :eof

call :docopy filer.gba .
call :docopy mkfs.bat .
call :docopy readme.txt .
call :docopy ..\..\bin\mkgbafs.exe .

call :docopy ..\..\fonts\knj10\knj10-1.1\README docs\knj10-1.1

call :docopy res\sample.bmp root
call :docopy res\sample.jpg root
call :docopy readme.txt root \sample.txt
call :docopy ..\dinv\dinv.bin root

call :docopy ini\gbafiler.ini root\system

for %%i in (fonts\*) do call :docopy %%i root\system\fonts

endlocal
goto :eof

:docopy
if not exist %rel%\%2 ( echo md %rel%\%2 && md %rel%\%2 )
echo copy %1 %rel%\%2%3
copy %1 %rel%\%2%3 >nul
goto :eof

:getversion
for /f %%i in ('awk -f getver.awk res.c') do set version=%%i
goto :eof

