/*
 *	timer.h
 */

#ifndef	_TIMER_H_
#define	_TIMER_H_

#include <gba.h>

#define TIMER_INTMS	10

#define CLOCK_FREQ	((16*1024*1024) / 64)
#define TIMER_INTERVAL	((CLOCK_FREQ * TIMER_INTMS) / 1000)
#define TIMER_COUNTER	(65536 - TIMER_INTERVAL)

/*
 *	Globals
 */

extern vu32		ClockTick;

/*
 *	external functions
 */

void IRQHandler();

#endif	// _TIMER_H_

