/*
 *	win.h
 */

#ifndef _WIN_H_
#define _WIN_H_

#include <gba.h>

typedef struct _CREATEWIN {
	int	xStartTitle;
} CREATEWIN, *PCREATEWIN;

/*
 *	definitions
 */

#define XGAP_WINDOW	2
#define YGAP_WINDOW	2

/*
 *	external functions
 */

void GetTitleRect(RECT *prc);
void SetWinTitle(u8 *ptitle);
void GetPageRect(RECT *prc);
void ShowWinPages(int page, int npages);
void CreateWinFrame(PCREATEWIN pcw);
void GetClientRect(PRECT prc);
void GetWindowRect(PRECT prc);
void SetWinMode(int mode);

#endif	// _WIN_H_
